### =======================
###  methylclock metadata
### =======================

meta <- data.frame(
   Title = c( "Datasets to estimate cell counts for EEAA method",
              "CpGs BNN clock",
              "Coefficients Bohlin's clock",
              "Coefficients Hannum's clock",
              "Coefficients Hobarth's clock",
              "Coefficients Knight's clock",
              "Coefficients Lee's clock",
              "Coefficients Levine clock",
              "Coefficients Mayne's clock",
              "Coefficients PedBE clock",
              "Coefficients Horvath’s skin+blood clock",
              "Coefficients Telomere Length’s clock",
              "Coefficients Wu's clock",
              "Methylation Data Example",
              "probe Annotation 21k",
              "Test Dataset",
              "References") ,
   Description = c( paste0("Predefined datasets included in this package are ",
                           "andrews and bakulski cord blood, ",
                           "blood gse35069, ",
                           "blood gse35069 chen, ",
                           "blood gse35069 complete, ",
                           "combined cord blood, ",
                           "cord blood gse68456, ",
                           "gervin and lyle cord blood, ",
                           "guintivano dlpfc and ",
                           "saliva gse48472 "),
                    paste0("Horvath’s CpGs to train a Bayesian Neural Network (BNN)",
                           "Alfonso and Gonzalez (2020)"),
                    "96 CpGs described in Bohlin et al. (2016)",
                    "71 CpGs described in Hannum et al. (2013)",
                    "353 CpGs described in Horvath (2013)",
                    "148 CpGs described in Knight et al. (2016)",
                    paste0("Three different biological clocks described",
                           " in Lee et al. (2019) : RPC clock, CPC clock,",
                           " Refined RPC clock"),
                    paste0("Also know as PhenoAge: 513 CpGs described",
                           "in Levine et al. (2018)"),
                    "62 CpGs described in Mayne et al. (2017)",
                    "84 CpGs described in McEwen et al. (2019).",
                    "391 CpGs described in Horvath et al. (2018)",
                    "140 CpGs described in Lu et al. (2019)",
                    "111 CpGs described in Wu et al. (2019)",
                    "Methylation data example",
                    "probe Annotation 21k",
                    "Test dataset",
                    "References"
                   ) ,
   BiocVersion = c( rep("3.13", 17)) ,
   Genome = c(rep("hg19",17)) ,
   SourceType = c(rep("RDA",17) ) ,
   SourceUrl =  "https://github.com/isglobal-brge/methylclock/blob/master/data",
   SourceVersion = c("June 2020", rep( "May 2021", 16)) ,
   Species = "Homo sapiens" ,
   TaxonomyId = 9606 ,
   Coordinate_1_based = FALSE ,
   DataProvider = NA ,
   Maintainer = "Juan R Gonzalez <juanr.gonzalez@isglobal.org>" ,
   RDataClass = c("List", "character", rep("data.frame",13), "Lists", "data.frame"  ) ,
   RDataPath = c( 'methylclockData/methylclock_references.rda',
                  'methylclockData/cpgs.bn.rda',
                  'methylclockData/coefBohlin.rda',
                  'methylclockData/coefHannum.rda',
                  'methylclockData/coefHorvath.rda',
                  'methylclockData/coefKnightGA.rda',
                  'methylclockData/coefLeeGA.rda',
                  'methylclockData/coefLevine.rda',
                  'methylclockData/coefMayneGA.rda',
                  'methylclockData/coefPedBE.rda',
                  'methylclockData/coefSkin.rda',
                  'methylclockData/coefTL.rda',
                  'methylclockData/coefWu.rda',
                  'methylclockData/MethylationDataExample55.rda',
                  'methylclockData/probeAnnotation21kdatMethUsed.rda',
                  'methylclockData/TestDataset.rda',
                  'methylclockData/references.rda'
                 ) ,
   DispatchClass = c(rep("Rda", 17) ) ,
   Tags = "",
   Notes = ""
)

write.csv(meta, file="inst/extdata/metadata_v2021_05.csv", row.names=FALSE)
